%define qtdir		/usr/lib/qt2
%define qtversion	2.2.1
%define KDEDATE		20001018
%define sourcedir	stable/%{version}/distribution/tar/generic/source
%define cryptopath	%{_tmppath}/%{name}-buildroot/crypto
%define	prefix		%_prefix

Name:		kdelibs
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Libraries
Version:	2.0
Release:	5mdk
Serial:		1
Source:		ftp://ftp.kde.org/pub/kde/%{sourcedir}/kdelibs-%{KDEDATE}-src.tar.bz2
Source7:	mdk-locolor-index.desktop

#Patch:		kdelibs-version.patch
Patch1:		kdelibs-iconssearch.patch
Patch2:		kdelibs.kdesupath.patch

Group:		Graphical desktop/KDE
License:	LGPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	qt2 >= %{qtversion}, kdesupport, openssl
%ifarch %ix86
Requires:	alsa-lib
%endif
Obsoletes:	kdelibs-crypto
BuildPrereq:	kdoc, kdesupport-devel, audiofile, audiofile-devel

%description
Libraries for the K Desktop Environment.

KDE Libraries included:
   * kdecore: KDE core library
   * kdeui: user interface
   * kfm: file manager
   * khtmlw: HTML widget
   * kfile: file access
   * kspell: spelling checker
   * jscript: javascript
   * kab: addressbook
   * kimgio: image manipulation
   * arts: sound, mixing and animation

%package devel
Group:		Graphical desktop/KDE
Summary:	Header files and documentation for compiling KDE applications.
Requires:	qt2-devel, kdelibs = %{version}, openssl

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%package sound
Group:		Graphical desktop/KDE
Summary:	K Desktop Environment - Libraries for sound support
Requires:	%{name} = %{version}
%ifarch %ix86
Requires:	alsa-lib
%endif

%description sound
Libraries for sound support in the K Desktop Environment: arts and libkmid.

%package sound-devel
Group:		Graphical desktop/KDE
Summary:	Header files and documentation for compiling KDE applications with sound
Requires:	qt2-devel >= 2.1.1, %{name}-sound = %{version}, %{name} = %{version}, %{name}-devel = %{version}

%description sound-devel
This package includes the header files you will need to compile applications
using the KDE sound libraries, arts and libkmid.

The API documentation for these libraries is also included (in HTML format for
easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdelibs
#%patch0 -p1 -b .mdk
%patch1 -p1 -b .mdkicon
%patch2 -p1 -b ,supath

%build
make -f Makefile.cvs
export QTDIR=%{qtdir}
# (Dadou) - Don't use macros for ./configure, it doesen't work (KDE 2 beta)
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG" \
	./configure --prefix=%_prefix \
		    --includedir=%_includedir \
		    --disable-rpath \
		    --disable-debug \
		    --with-distribution=Mandrake_7_2

%make

%install
# (Dadou) - Don't use makeinstall macro here, it doesn't work (KDE 2 Beta)
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

chmod a+x $RPM_BUILD_ROOT%{_libdir}/*

rm -rf $RPM_BUILD_ROOT/%{_includedir}/ltdl.h

install -d $RPM_BUILD_ROOT%_iconsdir/mdk-locolor
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%_iconsdir/mdk-locolor/index.desktop

(
cd $RPM_BUILD_ROOT/%_iconsdir/mdk-locolor
ln -s ../mini ./mini
ln -s ../large ./large
ln -s .. ./normal
)

# Generate documentation
export PATH=%_bindir:$PATH
makekdedoc=`which makekdedoc`
if [ ! -z "$makekdedoc" ]; then
  kdocdir=$RPM_BUILD_ROOT%_docdir/%{name}-devel-%{version}-%{release}
  qt2kdoc=`which qt2kdoc`
  if [ ! -z "$qt2kdoc" ]; then
    $qt2kdoc -o $kdocdir %_docdir/qt2-devel-2.2.1/html
  fi
  $makekdedoc --rule-file=kdoc.rules --outputdir=$kdocdir
fi

# Create file list for sound...
(
  #      cd $RPM_BUILD_DIR
  cd arts; make DESTDIR=$RPM_BUILD_ROOT/sound install-strip
  cd ../libkmid; make DESTDIR=$RPM_BUILD_ROOT/sound install-strip

  cd $RPM_BUILD_ROOT/sound
  mkdir -p $RPM_BUILD_ROOT%_docdir/%{name}-sound-devel-%{version}
  (
    cd $kdocdir
    for dir in arts libkmid; do
      if [ -d $dir ]; then
        mv $kdocdir/$dir $RPM_BUILD_ROOT%_docdir/%{name}-sound-devel-%{version}-%{release}
      fi
    done
  )
)

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig

%post sound
/sbin/ldconfig

%post devel
/sbin/ldconfig

%post sound-devel
/sbin/ldconfig

%postun
/sbin/ldconfig

%postun sound
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%postun sound-devel
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%_libdir/libDCOP*
%_libdir/dcopserver*
%_libdir/libkdecore*
%_libdir/libkdeui*
%_libdir/libkdesu*
%_libdir/libkio*
%_libdir/libksycoca*
%_libdir/kio_uiserver*
%_libdir/klauncher*
%_libdir/kded*
%_libdir/kbuildsycoca*
%_libdir/kio_file*
%_libdir/kcookiejar*
%_libdir/kio_http*
%_libdir/kio_ftp*
%_libdir/kimg*
%_libdir/libkfile*
%_libdir/libkparts*
%_libdir/libkjs*
%_libdir/libktexteditor*
%_libdir/libkab*
%_libdir/libkssl*
%_libdir/libkjava*
%_libdir/libkhtml*
%_libdir/kjs_html*
%_libdir/libkspell*
%_libdir/hcstyle*
%_libdir/kstepstyle*
%_libdir/b3style*
%_libdir/kstephighcolor*
%_libdir/basicstyle*
%_libdir/ksgistyle*
%_libdir/klegacystyle*

%_bindir/dcop*
%_bindir/kdesu_stub
%_bindir/kio_uiserver
%_bindir/kmailservice
%_bindir/klauncher
%_bindir/kded
%_bindir/lnusertemp
%_bindir/kbuildsycoca
%_bindir/kcookiejar
%_bindir/kio_http_cache_cleaner
%_bindir/kdb2html
%_bindir/kdeinit
%_bindir/kdeinit_wrapper
%_bindir/settheme

%config %_datadir/config/*

%_datadir/apps/*
%_datadir/mimelnk/*
%_datadir/services/*
%_datadir/servicetypes/*

%_iconsdir/mdk-locolor/*
%_iconsdir/locolor/*
%_iconsdir/hicolor/*


%files devel
%defattr(-,root,root,-)
%_includedir/*.h
%_includedir/kdesu/*.h
%_includedir/kio/*.h
%_includedir/kparts/*.h
%_includedir/kjs/*.h
%_includedir/artsc/*.h
%_includedir/dom/*.h
%_includedir/kde.pot

%doc %_docdir/kdelibs-devel-%{version}-%{release}/*


%files sound
%defattr(-,root,root,-)
%_libdir/libmcop*
%_libdir/libartsflow*
%_libdir/libsoundserver*
%_libdir/libkmedia2*
%_libdir/libx11globalcomm*
%_libdir/libqtmcop*
%_libdir/libartsc*
%_libdir/libartsdsp*
%_libdir/knotify*
%_libdir/libkmid*
%_libdir/Arts/*

%_bindir/mcopidl
%_bindir/artsd
%_bindir/artsplay
%_bindir/artscat
%_bindir/artswrapper
%_bindir/artsc-config
%_bindir/artsdsp
%_bindir/knotify


%files sound-devel
%defattr(-,root,root,-)
%_includedir/arts/*
%_includedir/libkmid/*
%doc %_datadir/doc/kdelibs-sound-devel-%{version}-%{release}/*

%changelog
* Thu Oct 26 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-5mdk
- Rebuild with kdoc-2.0

* Tue Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Put a warning in "Empty" icon theme
- Fix some use of %%_prefix

* Tue Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-3mdk
- Fix empty icon theme

* Wed Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Updated code

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to 2.0 release version.
- removed patch0 and added new configure line for distribution

* Mon Oct 16 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-6mdk
- Requires: alsa-lib only for x86 archs

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-5mdk
- Updated code for soundserver patch.

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-4mdk
- Removed patch #3                                          
- Updated code

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-3mdk
- Added patch 3# which is David's krun-cpp patch. This will 
  need to come out on next cvs code update.

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code to get a cvs fix (again)

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to get a cvs fix for the kwin problem
- Updated code for 2.0 Release Candidate 1.

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-17mdk
- Updated code to get a cvs fix (again)

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-16mdk
- Updated code to get a cvs fix (again)

* Sun Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-15mdk
- Updated code to get a cvs fix

* Sat Sep 30 2000 David BAUDENS <baudens@mandrakesoft.col> 1.94-14mdk
- Make non relocatable
- Human readable Description
- Big spec clean up
- Use optimizations
- Macros
- BuildRequires audiofile

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-13mdk
- Repeat of last try because of a missing file on ke

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-12mdk
- Added kdesu patch from David

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code for several patches of reported bugs

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated the code                                 
- Added David Faure's fix for kde icon path extention

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- re-added lnusertemp (dropped in a build conflict)

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Thu Sep 14 2000 Vincent Saugey <vince@mandrakesoft.com> 1.94-3mdk
- Change kde description icons dirs (index.desktop) in locolor

* Tue Sep 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Sat Sep 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-14mdk
- Added link to mini icons in locolor and adjusted index files
- Added link to large icons in locolor and adjusted index.desktop file (source7)

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-13mdk
- Libs changed had to add new files to the list

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-12mdk
- Updated code again because of ke comming back online (lost all updated code)

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-11mdk
- Updated code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Updated code
- Put David Baudens kdmrc fix in
- Removed patch1 as it's now in the cvs

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code
- Added patch for kio

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code

* Thu Aug 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Removed include file that is a conflict with libtools

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Recompile because of kdesupport recompile
- Updated code / bug fixes

* Sat Aug 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Recompile because of kdesupport recompile

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code
- removed debug code
- upated with new qt

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code
- rebuilt to solve bad RPM problems

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code
- Patch for version string
- Turned debug code back on

* Wed Aug 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code and built with new qt2.2
- Some file list changes

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-11mdk
- Updated code and built with new qt2.2

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-10mdk
- Removed crypto package

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-9mdk
- Updated code

* Thu Aug 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Thu Aug 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code
- Removed file list generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code
- disabled debug code
- fixed error on kdelibs-sound-devel package

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-3mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code
- Changed release numbering to the standard
- Fixed stupid typing error in the Groups on sound and sound devel
- updated again to get David's midi fix in

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code
- added alsa-lib as a requirement

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code
- moved to /usr

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- moved to /usr/X11R6/kde2

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Seperated the crypto stuff into a new package
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot
- Possible fix for some build problems

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot and fixed a bad dependency in spec file.

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Udpated code snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-20000517mdk
- updated to more recent version of code

* Tue May 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-1mdk
- updated to 1.90 beta
- made the spec file Mandrake compatable

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %%_prefix/doc/kdelibs-devel-%{version}-%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Thu Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %_prefix so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
